import java.util.Iterator;

public class Class111 {

   int anInt1092;
   byte[] aByteArray1093;


   Class111(byte[] var1) {
      this.aByteArray1093 = var1;
      this.anInt1092 = 0;
   }

   int method2213(byte var1) {
      short var2 = 0;

      for(int var3 = 0; var3 < 2; ++var3) {
         var2 = (short)(var2 | (this.aByteArray1093[(this.anInt1092 += 1735001191) * -389359785 - 1] & 255) << 8 * var3);
      }

      return var2;
   }

   String method2214(int var1) {
      int var2 = this.method2213((byte)1);
      if(-1 == var2) {
         return null;
      } else if(var2 > 256) {
         throw new RuntimeException_Sub2();
      } else {
         String var3 = new String(this.aByteArray1093, -389359785 * this.anInt1092, var2);
         this.anInt1092 += var2 * 1735001191;
         return var3;
      }
   }

   int method2215() {
      short var1 = 0;

      for(int var2 = 0; var2 < 2; ++var2) {
         var1 = (short)(var1 | (this.aByteArray1093[(this.anInt1092 += 1735001191) * -389359785 - 1] & 255) << 8 * var2);
      }

      return var1;
   }

   String method2216() {
      int var1 = this.method2213((byte)1);
      if(-1 == var1) {
         return null;
      } else if(var1 > 256) {
         throw new RuntimeException_Sub2();
      } else {
         String var2 = new String(this.aByteArray1093, -389359785 * this.anInt1092, var1);
         this.anInt1092 += var1 * 1735001191;
         return var2;
      }
   }

   public static void method2217(int var0) {
      Class529.aClass423_7205 = new Class423(8);
      Class529.anInt7208 = 0;
      Iterator var1 = Class529.aList7202.iterator();

      while(var1.hasNext()) {
         Class528 var2 = (Class528)var1.next();
         var2.method11109();
      }

   }

   static final void method2218(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1892869125);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class109.method2185(var3, var4, var0, -141907707);
   }

   static final void method2219(Class508 var0, byte var1) {
      String var2 = null;
      if(Class67.aClass10_638 != null) {
         var2 = Class67.aClass10_638.method679((byte)114);
      }

      if(null == var2) {
         var2 = "";
      }

      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var2;
   }

   static void method2220(Class508 var0, byte var1) {
      Class512 var2 = Class453.aClass511_5677.method10849(var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807], 1261546781);
      int[] var10000 = var0.anIntArray6027;
      int var10001 = (var0.anInt6003 += 98312473) * -937710807 - 1;
      int var10002;
      if(var2.anIntArrayArray6055 == null) {
         if(var1 == 1) {
            return;
         }

         var10002 = 0;
      } else {
         var10002 = var2.anIntArrayArray6055.length;
      }

      var10000[var10001] = var10002;
   }

   static final void method2221(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class79.method1633(var3, var0, -1663622556);
   }

   static final void method2222(Class508 var0, int var1) {
      Class515_Sub1_Sub4_Sub4_Sub2 var2 = (Class515_Sub1_Sub4_Sub4_Sub2)var0.aClass515_Sub1_Sub4_Sub4_6021;
      String var3 = var2.aString10884;
      Class411 var4 = var2.aClass411_10896;
      if(null != var4.anIntArray5061) {
         var4 = var4.method7045(Class118_Sub1.aClass175_8204, Class118_Sub1.aClass175_8204, -1873125472);
         if(var4 == null) {
            var3 = "";
         } else {
            var3 = var4.aString5029;
         }
      }

      if(var3 == null) {
         var3 = "";
      }

      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var3;
   }

   static int method2223(char var0, Class470 var1, byte var2) {
      int var3 = var0 << 4;
      if(Character.isUpperCase(var0) || Character.isTitleCase(var0)) {
         var0 = Character.toLowerCase(var0);
         var3 = (var0 << 4) + 1;
      }

      if(var0 == 241 && Class470.aClass470_5777 == var1) {
         var3 = 1762;
      }

      return var3;
   }

   public static void method2224(int var0, int var1) {
      Class225_Sub2 var2 = (Class225_Sub2)Class489.aClass423_5910.method7211((long)var0);
      if(var2 != null) {
         var2.aBool8366 = !var2.aBool8366;
         var2.aClass221_Sub1_8365.method3785(var2.aBool8366, (byte)49);
      }

   }

   static final void method2225(Class508 var0, short var1) {
      String var2 = (String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949];
      Class118_Sub16.method13219(var2, 2123728568);
   }

   static final void method2226(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      if(null == Class18.aClass121Array188[var2]) {
         var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = "";
      } else {
         String var3 = Class18.aClass121Array188[var2].aClass124Array1207[0].aString1366;
         if(null == var3) {
            var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = "";
         } else {
            var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var3.substring(0, var3.indexOf(58));
         }
      }

   }
}
